package cn.palmte.work.pojo;

import java.util.List;

/**
 * Created by tracy on 2018/4/16.
 */
public class Menu {

    private int id;
    private String name;
    private String remark;
    private String icon;
    private String url;
    private int parentId;
    private String permossion;
    private List<Menu> children;

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }

    public String getIcon() {
        return icon;
    }

    public void setIcon(String icon) {
        this.icon = icon;
    }

    public String getUrl() {
        return url;
    }

    public void setUrl(String url) {
        this.url = url;
    }

    public int getId() {
        return id;
    }

    public void setId(int id) {
        this.id = id;
    }

    public String getRemark() {
        return remark;
    }

    public void setRemark(String remark) {
        this.remark = remark;
    }

    public List<Menu> getChildren() {
        return children;
    }

    public void setChildren(List<Menu> children) {
        this.children = children;
    }

    public int getParentId() {
        return parentId;
    }

    public void setParentId(int parentId) {
        this.parentId = parentId;
    }

    public String getPermossion() {
        return permossion;
    }

    public void setPermossion(String permossion) {
        this.permossion = permossion;
    }
}
